// hide images that fail to load
document.querySelector('body').addEventListener('error', function (e) {
    e.target.style.opacity = 0;
}, true)

window.setCookie = function(name, value, days) {
    let expires = ""
    if (days) {
        const date = new Date()
        date.setTime(date.getTime() + (days*24*60*60*1000))
        expires = "; expires=" + date.toUTCString()
    }
    document.cookie = name + "=" + (value || "")  + expires + "; path=/"
}

function setTimeOffset() {
    if (window.GMT_OFFSET) return
    window.GMT_OFFSET = -(new Date).getTimezoneOffset()
    window.setCookie('GMT_OFFSET', window.GMT_OFFSET, 365)
}

jQuery(document).ready(function () {
    setTimeOffset();
});
